Data coverage page returns no results when changing date

Bug #1381712 reported by Jack Ireland on 2014-10-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Helioviewer.org
Low
Jeff Stys

Bug Description

I was looking at the data coverage and, on changing the date, got the following URL

http://helioviewer.org/coverage/?resolution=[object%20Object]&endDate=2014-10-14T15:55:00Z

It seems like changing the date of the request does not work. Changing the time bins does work ok.

Jeff Stys (jstys-z) wrote :

Confirmed.

Changing the data via the drop-down menus results in a redirect to an invalid URL such as the following:

http://helioviewer.org/coverage/?resolution=[object%20Object]&endDate=2014-11-14T15:55:00Z

Changed in helioviewer.org:
importance: Undecided → Low
status: New → Confirmed
assignee: nobody → Jeff Stys (jstys-z)
status: Confirmed → Triaged
status: Triaged → In Progress
Jeff Stys (jstys-z) wrote :

A fix for this bug has been applied on the staging instance of helioviewer.

Please test by visiting http://staging.helioviewer.org/coverage/ and changing the end date of the plots by selecting new values from each of the YYYY MM and DD popup menus. Verify that each time that the date is changed, the plots are updated with the new date represented in the right-most column of the plots and that the plots contain the expected results. Also test by toggling resolution buttons to vary the bin size of the histograms. For each test, verify that the text "resolution=[object%20Object]" does not appear in the URL in the navigation bar of your browser and that the hostname is always "staging.helioviewer.org".

I have run the above tests successfully. Please update this thread with your test results.

On 10/16/2014 10:24 AM, Jeff Stys wrote:
> A fix for this bug has been applied on the staging instance of
> helioviewer.
>
> Please test by visiting http://staging.helioviewer.org/coverage/ and
> changing the end date of the plots by selecting new values from each of
> the YYYY MM and DD popup menus. Verify that each time that the date
> is changed, the plots are updated with the new date represented in the
> right-most column of the plots and that the plots contain the expected
> results.

verified in each of the above tests

> Also test by toggling resolution buttons to vary the bin size
> of the histograms. For each test, verify that the text
> "resolution=[object%20Object]"

verified in each of the above tests
> does not appear in the URL in the
> navigation bar of your browser and that the hostname is always
> "staging.helioviewer.org".

verified in each of the above tests

> I have run the above tests successfully. Please update this thread with
> your test results.
>

Jeff Stys (jstys-z) wrote :

Bug fix has been committed to the Helioviewer.org Trunk in revision 811.

Changed in helioviewer.org:
status: In Progress → Fix Committed
Jeff Stys (jstys-z) wrote :

Bug fix has been released to the Helioviewer.org production server.

Changed in helioviewer.org:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers